## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionValidateAccordingToImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionValidateAccordingToImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLValueFunctionValidateAccordingTo

Direct Known Subclasses:
  XMLValueFunctionValidateAccordingToIdentifierImpl, XMLValueFunctionValidateAccordingToURIImpl

    public class XMLValueFunctionValidateAccordingToImpl

extends SQLQueryObjectImpl
implements XMLValueFunctionValidateAccordingTo

An implementation of the model object 'XML Value Function Validate According To'.

The following features are implemented:

- `Value Function Validate`
- `Validate Element`

Method Summary
`NotificationChain` `basicSetValidateElement(XMLValueFunctionValidateElement newValidateElement, NotificationChain msgs)`
`NotificationChain` `basicSetValueFunctionValidate(XMLValueFunctionValidate newValueFunctionValidate, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLValueFunctionValidateElement` `getValidateElement()`
`XMLValueFunctionValidate` `getValueFunctionValidate()`
`void` `setValidateElement(XMLValueFunctionValidateElement newValidateElement)`
`void` `setValueFunctionValidate(XMLValueFunctionValidate newValueFunctionValidate)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueFunctionValidate

    public XMLValueFunctionValidate getValueFunctionValidate()

  Specified by:
    `getValueFunctionValidate` in interface `XMLValueFunctionValidateAccordingTo`
  Returns:
    the value of the 'Value Function Validate' container reference.
  See Also:
    `XMLValueFunctionValidateAccordingTo.setValueFunctionValidate(XMLValueFunctionValidate)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingTo_ValueFunctionValidate()`, `XMLValueFunctionValidate.getValidateAccordingTo()`

### basicSetValueFunctionValidate

    public NotificationChain basicSetValueFunctionValidate(XMLValueFunctionValidate newValueFunctionValidate,
                                                           NotificationChain msgs)

### setValueFunctionValidate

    public void setValueFunctionValidate(XMLValueFunctionValidate newValueFunctionValidate)

  Specified by:
    `setValueFunctionValidate` in interface `XMLValueFunctionValidateAccordingTo`
  Parameters:
    `newValueFunctionValidate` - the new value of the 'Value Function Validate' container reference.
  See Also:
    `XMLValueFunctionValidateAccordingTo.getValueFunctionValidate()`

### getValidateElement

    public XMLValueFunctionValidateElement getValidateElement()

  Specified by:
    `getValidateElement` in interface `XMLValueFunctionValidateAccordingTo`
  Returns:
    the value of the 'Validate Element' containment reference.
  See Also:
    `XMLValueFunctionValidateAccordingTo.setValidateElement(XMLValueFunctionValidateElement)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingTo_ValidateElement()`, `XMLValueFunctionValidateElement.getValidateAccordingTo()`

### basicSetValidateElement

    public NotificationChain basicSetValidateElement(XMLValueFunctionValidateElement newValidateElement,
                                                     NotificationChain msgs)

### setValidateElement

    public void setValidateElement(XMLValueFunctionValidateElement newValidateElement)

  Specified by:
    `setValidateElement` in interface `XMLValueFunctionValidateAccordingTo`
  Parameters:
    `newValidateElement` - the new value of the 'Validate Element' containment reference.
  See Also:
    `XMLValueFunctionValidateAccordingTo.getValidateElement()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.